Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.userManagement
Class User

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
          org.esupportail.portal.channels.CStockage.userManagement.User

Direct Known Subclasses:
  UserForPersonalization

public class User
extends AbstractUser

Id: User.java,v 1.0 7 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: User Original Author: Yohan Colmant Represents a user for the management

Constructor Summary
`User()` Default constructor
`User(org.esupportail.portal.channels.CAnnuaire.Personne pers)` Constructor
`User(java.lang.String key)` Constructor
`User(java.lang.String key, java.lang.String displayName)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`java.lang.String` | `toString()` Return a String from this user

Methods inherited from class org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
`equals, getDisplayName, getKey, setDisplayName, setKey`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### User

    public User()

  Default constructor

### User

    public User(java.lang.String key,
                java.lang.String displayName)

  Constructor

Parameters:
  `key` - The key
  `displayName` - The displayed user name

### User

    public User(java.lang.String key)
         throws PropertiesException

  Constructor

Parameters:
  `key` - The key

### User

    public User(org.esupportail.portal.channels.CAnnuaire.Personne pers)
         throws PropertiesException

  Constructor

Parameters:
  `pers` - The retrieved people

Method Detail

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Returns:
    this cloned object

### toString

    public java.lang.String toString()

  Return a String from this user

  Overrides:
    `toString` in class `AbstractUser`
  Returns:
    a String from this user

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD